
SUB_BUILDS = $(patsubst %,%_Build,$(SUB_PROJS))
SUB_CLEANS = $(patsubst %,%_Clean,$(SUB_PROJS))
SUB_LINKS = $(patsubst %,%_link.o,$(SUB_PROJS))
SUB_BUILD_DIRS = $(patsubst %,../../%/$(BUILD_SPEC)/,$(SUB_PROJS))
SUB_LINK_FILES = $(join $(SUB_BUILD_DIRS),$(SUB_LINKS))

PRJ_OBJS_FOR_LD_PARTIAL += $(SUB_LINK_FILES)

Super : $(SUB_BUILDS) $(PROJECT_OUT)

clean  : $(SUB_CLEANS)

.PHONY : $(SUB_BUILDS) $(SUB_CLEANS)

$(SUB_BUILDS) : %_Build : 
	$(MAKE) -C ../../$*/$(BUILD_SPEC) -f ../Makefile \
	BUILD_SPEC=$(BUILD_SPEC) $(patsubst %,%_link.o,$*)

$(SUB_CLEANS) : %_Clean :
	$(MAKE) -C ../../$*/$(BUILD_SPEC) -f ../Makefile \
	BUILD_SPEC=$(BUILD_SPEC) clean

